BLYNK
HOME       📲 GETTING STARTED       📗 DOCS       ❓HELP CENTER       👉 SKETCH BUILDER

Arduino uno wifi rev 2 and blynk error

Hi,

To use blynk on my Arduino uno wifi rev 2 i must use the sketch for arduino mkr_1010 wifi. But when i fill in the auth.code, ssid and password and compile it, i get the following error:

Arduino: 1.8.13 (Windows 10), Board: “Arduino Uno WiFi Rev2, None (ATMEGA4809)”
In file included from C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Blynk/BlynkApi.h:36:0,

             from C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/BlynkApiArduino.h:14,

             from C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Adapters/BlynkWiFiCommon.h:24,

             from C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/BlynkSimpleWiFiNINA.h:22,

             from C:\Users\Vicky\AppData\Local\Temp\arduino_modified_sketch_4945\Arduino_MKR1010.ino:34:

C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Blynk/BlynkParam.h: In member function ‘long long int BlynkParam::iterator::asLongLong() const’:

C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Blynk/BlynkParam.h:48:50: error: ‘atoll’ was not declared in this scope

     long long   asLongLong() const  { return atoll(ptr); }

                                              ^~~~~

C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Blynk/BlynkParam.h:48:50: note: suggested alternative: ‘atol’

     long long   asLongLong() const  { return atoll(ptr); }

                                              ^~~~~

                                              atol

C:\Users\Vicky\OneDrive\Documents\Arduino\libraries\Blynk\src/Blynk/BlynkParam.h: In member function ‘long long int BlynkParam::asLongLong() const’:

Can someone help me with that?

Thanks!

What Blynk library version are you using?

Pete.

Hi,

I’m using Blynk_WiFiNINA_wm version 1.0.4

That’s not the library version.
When you installed the library in the IDE, what version did you choose?

Pete.

Blynk_WiFiNINA_wm version 1.0.4

That’s not the library version either.

In the IDE Sketch menu, select Include Library then Manage Libraries.
Type Blynk in the search box then see which version of the library you have installed.

Pete.

Then this is what i get:

Take the “installed” filter off and you’ll see the main Blynk library. Choose version 0.6.1 and install it.
Then try re-compiling again.

Pete.

It worked!

Thank you very much!